#pragma once
#include "mof/InputReceiver.hpp"


namespace mof{
	struct InputEvent{
		InputEvent(unsigned int _dwOfs , unsigned int _dwData){
			dwOfs = _dwOfs;
			dwData = _dwData;
		}
		unsigned int dwOfs;
		unsigned int dwData;
	};

	class DeviceInputReceiver : public InputReceiver
	{
		bool* m_pKeyStates;
	public:
		
		DeviceInputReceiver();
		virtual ~DeviceInputReceiver();
		virtual bool testKeyState(mof::InputReceiver::Key key);
		virtual void update();
		void notifyInputEvent(InputEvent& iEvent);
	};

};